Loading...
Searching...
No Matches
ph_rach_ind_param Struct Reference

for PH-RANDOM_ACCESS.ind More...

`#include <l1sap.h>`

## Data Fields

uint8_t | chan_nr
| Channel Number (Like RSL)
uint16_t | ra
| Random Access.
uint8_t | acc_delay
| Delay in bit periods.
uint32_t | fn
| GSM Frame Number at time of RA.
uint8_t | is_11bit
| no.of bits in RACH
enum ph_burst_type | burst_type
| type of burst
int8_t | rssi
| RSSI of RACH indication.
uint16_t | ber10k
| BER in units of 0.01%.
int16_t | acc_delay_256bits
| Burst TA Offset in 1/256th bits.
int16_t | lqual_cb
| Link quality in centiBel.

## Detailed Description

for PH-RANDOM_ACCESS.ind

## Field Documentation

## acc_delay

uint8_t ph_rach_ind_param::acc_delay

Delay in bit periods.

## acc_delay_256bits

int16_t ph_rach_ind_param::acc_delay_256bits

Burst TA Offset in 1/256th bits.

## ber10k

uint16_t ph_rach_ind_param::ber10k

BER in units of 0.01%.

## burst_type

enum ph_burst_type ph_rach_ind_param::burst_type

type of burst

## chan_nr

uint8_t ph_rach_ind_param::chan_nr

Channel Number (Like RSL)

## fn

uint32_t ph_rach_ind_param::fn

GSM Frame Number at time of RA.

## is_11bit

uint8_t ph_rach_ind_param::is_11bit

no.of bits in RACH

## lqual_cb

int16_t ph_rach_ind_param::lqual_cb

Link quality in centiBel.

## ra

uint16_t ph_rach_ind_param::ra

Random Access.

## rssi

int8_t ph_rach_ind_param::rssi

RSSI of RACH indication.

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/l1sap.h